> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ttapi.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Suno Vox 提取 API 文档

> 通过 Suno Vox 提取接口从参考歌曲中截取人声片段并生成 vox_audio_id，适合 Persona 和歌手风格复用场景。

<Warning>
  该接口已废弃（Deprecated）。相关能力已内置于 [Persona 接口](/api/cn/suno/suno_persona)中，无需再单独调用此接口。建议迁移至 [Persona 接口](/api/cn/suno/suno_persona)完成对应操作。
</Warning>


## OpenAPI

````yaml openapi/cn/suno.json POST /suno/v1/vox
openapi: 3.1.0
info:
  title: TTAPI API DOCS
  version: 1.0.0
  description: Suno 音乐生成相关接口
servers:
  - url: https://api.ttapi.io
security: []
paths:
  /suno/v1/vox:
    post:
      requestBody:
        required: true
        content:
          application/json:
            schema:
              allOf:
                - type: object
                  properties:
                    music_id:
                      type: string
                      description: 歌曲id
                    vocal_start_s:
                      type: number
                      description: 截取开始声音点，单位：秒
                      example: 0
                    vocal_end_s:
                      type: number
                      description: 截取结束时间点，单位：秒
                      example: 10.15
                  required:
                    - music_id
      responses:
        '200':
          description: 请求成功
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: SUCCESS
                  message:
                    type: string
                    example: success
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                        description: vox_audio_id
                      status:
                        type: string
                        description: 风格id
                      source_clip_id:
                        type: string
                        description: 原始音乐id
                      vocal_start_s:
                        type: number
                        description: 人声开始时间，单位秒
                      vocal_end_s:
                        type: number
                        description: 人声结束时间，单位秒
                      wave_response:
                        type: object
                required:
                  - status
                  - message
                  - data
        '400':
          $ref: '#/components/responses/400Response'
        '401':
          $ref: '#/components/responses/401Response'
      security:
        - CustomApiKey: []
components:
  responses:
    400Response:
      description: 参数错误
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: FAILED
              message:
                type: string
              data:
                type: object
            required:
              - status
              - message
    401Response:
      description: 授权失败
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: FAILED
              message:
                type: string
                example: Wrong TT-API-KEY or email is not activated.
            required:
              - status
              - message
  securitySchemes:
    CustomApiKey:
      type: apiKey
      in: header
      name: TT-API-KEY
      description: >-
        请前往 <a href='https://dashboard.ttapi.io' target='_blank'>TTAPI 控制台</a>
        获取 API 密钥。

````